@ECHO OFF
CD \X-MAKER > NUL
CLS
FC Test1.TXT Test2.TXT > NUL
IF errorlevel 1 GOTO TESTFAIL
IF errorlevel 0 GOTO TESTB
GOTO TESTFAIL

:TESTB
FC Test1.TXT Test3.TXT > NUL
IF errorlevel 2 GOTO TESTFAIL
IF errorlevel 1 GOTO INICIO
GOTO TESTFAIL

:INICIO
IF EXIST \FIRMWARE\BACKUP.BIN MOVE \FIRMWARE\BACKUP.BIN \X-MAKER\BACKUP.BIN > NUL
IF NOT EXIST BACKUP.BIN GOTO NOTFOUND
CLS
ECHO.
ECHO LOADING...
COPY BACKUP.BIN FIRMWARE.BIN /Y > NUL
KEYGEN FIRMWARE.BIN -p:O28 > NUL
myppf FIRMWARE.BIN I12.PPF > NUL
COPY FIRMWARE.BIN CHK-I12.BIN /Y > NUL
myppf CHK-I12.BIN keys.PPF > NUL

:CORE
cls
ECHO.
ECHO  ----------------------------------------------------------------------------
ECHO                                IXTREME 1.2 MAKER
ECHO  ----------------------------------------------------------------------------
ECHO.
ECHO.
ECHO  SE VA A CREAR EL IXTREME 1.2 A PARTIR DEL FIRMWARE QUE SE EXTRAIGA DEL
ECHO  LECTOR (\FIRMWARE\BACKUP.BIN).
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO  C - CONTINUAR                                             M - MENU PRINCIPAL
CHOICE /N /c:CM > NUL
IF ERRORLEVEL 2 GOTO FIN
cls
ECHO.
ECHO  ----------------------------------------------------------------------------
ECHO                SELECCIONAR CORE - Version Oficial IXtreme (Ms28)
ECHO  ----------------------------------------------------------------------------
ECHO.
ECHO  EVITA POSIBLE ERROR 66 TRAS LA ACTUALIZACION DEL LIVE DE OCTUBRE 2006
ECHO.
ECHO  C4E solo ha publicado la Version Ms28, el resto las he creado a partir de 
ECHO  las modificaciones conocidas de la idenficacion de los cores. Desconozco
ECHO  si podria llegar a ser detectable por M$ pero si no se cambia podria dar
ECHO  error 66 la consola y no arrancar a no ser que se cambie otra vez el core.
ECHO.        
ECHO.
ECHO   1 - Samsung Ms25 - Si el lector Original de la 360 es Samsung Ms25
ECHO   2 - Samsung Ms28 - Si el lector Original de la 360 es Samsung Ms28
ECHO   3 - Hitachi 46D  - Si el lector Original de la 360 era Hitachi 46D
ECHO   4 - Hitachi 47D  - Si el lector Original de la 360 era Hitachi 47D
ECHO   5 - Hitachi 58D  - Si el lector Original de la 360 era Hitachi 58D
ECHO   6 - Hitachi 59D  - Si el lector Original de la 360 era Hitachi 59D
ECHO   7 - Hitachi 78KF - Si el lector Original de la 360 era Hitachi 78KF
ECHO   8 - Hitachi 79KF - Si el lector Original de la 360 era Hitachi 79KF
ECHO.
SET CORE=X
:CHOICE01
CHOICE /N /c:12345678 > NUL
IF ERRORLEVEL 1 SET CORE=S25
IF ERRORLEVEL 2 SET CORE=S28
IF ERRORLEVEL 3 SET CORE=H46
IF ERRORLEVEL 4 SET CORE=H47
IF ERRORLEVEL 5 SET CORE=H58
IF ERRORLEVEL 6 SET CORE=H59
IF ERRORLEVEL 7 SET CORE=H78
IF ERRORLEVEL 8 SET CORE=H79
IF "%CORE%"=="X" GOTO CHOICE01
MYPPF FIRMWARE.BIN %CORE%.PPF > NUL
MYPPF CHK-I12.BIN %CORE%.PPF > NUL

:MODE
:CHECK
CHKSUM.EXE -c CHK-I12.BIN > CHECKSUM.CHK
FC  I12-%CORE%.CRC CHECKSUM.CHK > NUL
if  errorlevel 1 GOTO ERRORCHK
if  errorlevel 0 GOTO OK

:ERRORCHK
CLS
ECHO.
ECHO ERROR, SE HA DETECTADO UN FALLO EN EL FIRMWARE XTREME GENERADO
ECHO.
ECHO.
ECHO I12-%CORE%.BIN: ( ORIGINAL )
ECHO.
TYPE I12-%CORE%.CRC
ECHO.
ECHO.
ECHO CHK-I12.BIN: ( GENERADO )
ECHO.
TYPE CHECKSUM.CHK
KEYGEN -t:4000 > NUL
ECHO.
pause
GOTO FIN

:TESTFAIL
CLS
ECHO.
ECHO ERROR, NO SE HA REALIDO CORRECTAMENTE LA COMPROBACION DE FUNCIONAMIENTO
ECHO.
KEYGEN -t:4000 > NUL
pause
GOTO FIN

:NOTFOUND
cls
ECHO.
ECHO  ----------------------------------------------------------------------------
ECHO                               IXTREME 1.2 MAKER
ECHO  ----------------------------------------------------------------------------
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO             *** NO SE ENCUENTRA EL ARCHIVO \FIRMWARE\BACKUP.BIN ***
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
KEYGEN -t:4000 > NUL
pause
GOTO FIN

:OK
MOVE FIRMWARE.BIN \NEWFIRM\FIRMWARE.BIN > NUL
DEL CHK-I12.BIN  > NUL
DEL CHECKSUM.CHK > NUL
DEL FIRMWARE.BIN > NUL
SET XTREME=DIRECT
cls
ECHO.
ECHO  ----------------------------------------------------------------------------
ECHO                               IXTREME 1.2 MAKER
ECHO  ----------------------------------------------------------------------------
ECHO.
ECHO.
ECHO.
ECHO.
ECHO    EL FIRMWARE IXTREME 1.2 CORE %CORE% HA SIDO GENERADO CORRECTAMENTE
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
KEYGEN -t:4000 > NUL
pause

:FIN
MOVE \X-MAKER\BACKUP.BIN \FIRMWARE\BACKUP.BIN > NUL
CD \FIRMWARE > NUL